class CreateNodes < ActiveRecord::Migration
  def change
    create_table :nodes do |t|
      t.string :name
      t.string :domain
      t.string :ipv4
      t.string :ipv6
      t.string :node_username
      t.string :node_password
      t.string :taddress
      t.string :zaddress
      t.decimal :start_balance_t, precision: 12, scale: 8, default: 0
      t.decimal :start_balance_z, precision: 12, scale: 8, default: 0
      t.decimal :balance_t, precision: 12, scale: 8, default: 0
      t.decimal :balance_z, precision: 12, scale: 8, default: 0
      t.string :server_provider

      t.timestamps null: false
    end
  end
end
